- Category: developer tools
- Auth: API_KEY
- Composio-managed OAuth available? N/A
- Tools: 7
- Triggers: 0
- Slug:
UNISWAP_API - Version: 20261101_00
Tools
Check Token Approval
Check Token Approval
Slug:
UNISWAP_API_CHECK_APPROVALTool to check if a wallet has sufficient token approval for a specified transaction amount. Returns an approval transaction if needed, or null if approval already exists. Use this before executing a swap to verify or obtain the necessary token approval.Input Parameters
The quantity of tokens denominated in the token’s base units. For example, for an ERC20 token one token is 1x10^18 base units. For one USDC token one token is 1x10^6 base units.
The urgency impacts the estimated gas price of the transaction. The higher the urgency, the higher the gas price.
If set to true, the response will include the estimated gas fee for the proposed transaction.
Output
Check Wallet Delegation
Check Wallet Delegation
Slug:
UNISWAP_API_CHECK_WALLET_DELEGATIONCheck delegation status for smart contract wallets across specified chains, including whether each wallet is delegated to Uniswap and its current and latest delegation addresses and delegator information. This operation is currently unavailable.Input Parameters
Array of chain IDs to check delegation status for each wallet. Supported chain IDs include: 1 (Ethereum), 10 (Optimism), 56 (BNB Chain), 137 (Polygon), and others.
Array of smart contract wallet addresses to check delegation status for. Each address must be a valid Ethereum-style address (0x followed by 40 hex characters).
Output
Encode 7702 transactions
Encode 7702 transactions
Slug:
UNISWAP_API_ENCODE7702_TRANSACTIONSEncode a list of transactions into a single EIP-7702 smart contract wallet transaction for atomic execution. All transactions must have the same chain ID. This operation is currently unavailable.Input Parameters
Array of transaction requests to be encoded. All transactions must have the same chainId.
Output
Get Gasless Orders
Get Gasless Orders
Slug:
UNISWAP_API_GET_GASLESS_ORDERSRetrieve one or more gasless orders from Uniswap, optionally filtered by query parameters. Must include at least one of: orderId, orderIds, orderStatus, swapper, or filler. Use when you need to check the status or details of Uniswap gasless orders (UniswapX orders).Input Parameters
Sort query. For example: sort=gt(UNIX_TIMESTAMP), sort=between(1675872827, 1675872930), or lt(1675872930).
Order type for the request.
string ("open" | "expired" | "error" | "cancelled" | "filled" | "unverified" | "insufficient-funds")
Order status filter.
Output
Get Quote
Get Quote
Slug:
UNISWAP_API_GET_QUOTERequest a quote for a swap, bridge, or wrap/unwrap operation. The response may include routing information and estimated gas fees.Input Parameters
The handling of the amount field. EXACT_INPUT means the requester will send the specified amount of input tokens and get a quote with a variable quantity of output tokens. EXACT_OUTPUT means the requester will receive the specified amount of output tokens and get a quote with a variable quantity of input tokens.
The quantity of tokens denominated in the token’s base units. For example, for an ERC20 token one token is 10^18 base units. For one USDC token one token is 10^6 base units. This value must be greater than 0.
Indicates whether you want to receive a permit2 transaction to sign and submit onchain, or a permit message to sign.
Output
Get swappable tokens
Get swappable tokens
Slug:
UNISWAP_API_GET_SWAPPABLE_TOKENSRetrieve swappable or bridgeable destination tokens for a source token and chain, to discover cross-chain swap and bridge options. This operation is currently unavailable.Input Parameters
The unique ID of the blockchain. For a list of supported chains see the FAQ (https://api-docs.uniswap.org/guides/faqs). Default is 1 (Ethereum mainnet).
Output
Get Swap Status
Get Swap Status
Slug:
UNISWAP_API_GET_SWAP_STATUSTool to retrieve the current status of swap or bridge transactions on the Uniswap trading platform. Use when you need to check if a swap transaction has been confirmed, is pending, or has failed. Provide the transaction hash(es) to get the status of one or more swap transactions.Input Parameters
The unique ID of the blockchain. For a list of supported chains see the FAQ. Defaults to 1 (Ethereum mainnet).